Package: org.apache.groovy.ginq.dsl

## [Java] Class GinqSyntaxError

- org.apache.groovy.ginq.dsl.GinqSyntaxError

-     public class GinqSyntaxError
      extends AssertionError

  Represents GINQ syntax error

  Since:
    4.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GinqSyntaxError(String message, Expression expression)` Creates a syntax error using the position of the given expression.
    `GinqSyntaxError(String message, int line, int column)` Creates a syntax error at the supplied source position.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getColumn()` Returns the source column of the error.
    `` | `public int` | `getLine()` Returns the source line of the error.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AssertionError` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public GinqSyntaxError(String message, Expression expression)

      Creates a syntax error using the position of the given expression.

      Parameters:
        `message` - the error message
        `expression` - the expression supplying line and column information

    - #### public GinqSyntaxError(String message, int line, int column)

      Creates a syntax error at the supplied source position.

      Parameters:
        `message` - the error message
        `line` - the source line
        `column` - the source column

  - ### Method Detail

    - #### public int getColumn()

      Returns the source column of the error.

      Returns:
        the column number

    - #### public int getLine()

      Returns the source line of the error.

      Returns:
        the line number